netatalk: nad_rm.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nad_rm.c File Reference
`#include <errno.h>`
`#include <limits.h>`
`#include <signal.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <bstrlib.h>`
`#include <atalk/adouble.h>`
`#include <atalk/queue.h>`
`#include <atalk/unix.h>`
`#include <atalk/util.h>`
`#include <atalk/vfs.h>`
`#include <atalk/volume.h>`
`#include "nad.h"`
`#include "ftw.h"`

## Macros
#define | STRIP_TRAILING_SLASH(p)

## Functions
static int | rm (const char *fpath, const struct stat *sb, int tflag, struct FTW *ftwbuf)
static const char * | check_netatalk_dirs (const char *name)
static void | upfunc (void)
static void | usage_rm (void)
int | nad_rm (int argc, char *argv[], AFPObj *obj)

## Variables
static afpvol_t | volume
static cnid_t | did
static cnid_t | pdid
static int | Rflag
static int | badrm
static int | rval
static char * | netatalk_dirs []

## Macro Definition Documentation

## ◆ STRIP_TRAILING_SLASH

#define STRIP_TRAILING_SLASH | ( |  | p | ) |

Value:
{ \
while ((p).p_end > (p).p_path + 1 && (p).p_end[-1] == '/') \
*--(p).p_end = 0; \
}
p
size_t p
Definition dircache.c:256

## Function Documentation

## ◆ check_netatalk_dirs()

const char * check_netatalk_dirs | ( | const char * | name | ) |
| static

## ◆ nad_rm()

int nad_rm | ( | int | argc,
|  | char * | argv[],
|  | AFPObj * | obj )

## ◆ rm()

int rm | ( | const char * | fpath,
|  | const struct stat * | sb,
|  | int | tflag,
|  | struct FTW * | ftwbuf )
| static

## ◆ upfunc()

void upfunc | ( | void |  | ) |
| static

## ◆ usage_rm()

void usage_rm | ( | void |  | ) |
| static

## Variable Documentation

## ◆ badrm

int badrm
| static

## ◆ did

cnid_t did
| static

## ◆ netatalk_dirs

char* netatalk_dirs[]
| static

Initial value:
= {
".AppleDB",
".AppleDesktop",
NULL
}
NULL
#define NULL
Definition utf8util.c:47

## ◆ pdid

cnid_t pdid
| static

## ◆ Rflag

int Rflag
| static

## ◆ rval

int rval
| static

## ◆ volume

afpvol_t volume
| static